#include <Servo.h>

Servo myServo;
int trigPin = 9;    // Trigger pin of ultrasonic sensor
int echoPin = 10;   // Echo pin of ultrasonic sensor
int pos = 0;        // Variable to store the servo position
long duration;
int distance;

void setup() {
  myServo.attach(11);       // Servo pin
  pinMode(trigPin, OUTPUT); // Set trigPin as output
  pinMode(echoPin, INPUT);  // Set echoPin as input
  Serial.begin(9600);
}

void loop() {
  for (pos = 0; pos <= 180; pos += 1) {
    myServo.write(pos);
    distance = getDistance();
    Serial.print(pos);
    Serial.print(",");
    Serial.println(distance);
    delay(50);
  }
  for (pos = 180; pos >= 0; pos -= 1) {
    myServo.write(pos);
    distance = getDistance();
    Serial.print(pos);
    Serial.print(",");
    Serial.println(distance);
    delay(50);
  }
}

int getDistance() {
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  duration = pulseIn(echoPin, HIGH);
  distance = duration * 0.034 / 2;
  return distance;
}